import { __extends, __decorate, __metadata } from 'tslib';
import { Check } from '../../Check/index.js';
import { Prop, Component, Vue } from 'vue-property-decorator';

var DetailsRowCheckBase = function(_super) {
  __extends(DetailsRowCheckBase2, _super);
  function DetailsRowCheckBase2() {
    return _super !== null && _super.apply(this, arguments) || this;
  }
  DetailsRowCheckBase2.prototype.render = function(h) {
    return h(Check, {
      attrs: {
        checked: this.selected
      }
    });
  };
  __decorate([
    Prop({ type: Boolean, default: false }),
    __metadata("design:type", Boolean)
  ], DetailsRowCheckBase2.prototype, "selected", void 0);
  DetailsRowCheckBase2 = __decorate([
    Component({
      components: {}
    })
  ], DetailsRowCheckBase2);
  return DetailsRowCheckBase2;
}(Vue);

export { DetailsRowCheckBase };
